Subject: Re: bug#76018: 31.0.50; wrap-prefix properties from visual-wrap-prefix-mode proliferate

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Jun 2025 08:58:27 +0300

> Date: Sun, 1 Jun 2025 12:24:36 -0700
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> From: Jim Porter <[email-masked]>
> 
> I've reworded the commit message to explain things better (I hope):
> 
>    When calling 'add-display-text-property' on a region of text that
>    already contains PROP, we delete the old property from the list of
>    values.  If the region's 'display' property is a list of display
>    specifications, we need to avoid destructively modifying the list; other
>    regions of text could be using the same list object.  Instead, if
>    deleting a property from a list, use 'remove'.  (For a 'display'
>    properties that's a vector or a single display spec, this doesn't matter
>    since we first make a new list in the code.)

This is more clear, but please use consistent terminology.  In the
above, you use "list of values" and "list of display specifications"
to mean the same thing (AFAIU), and "property" to mean "display
specification".

Thanks.